#include<bits/stdc++.h>
using namespace std;

const int maxn=1e5+3;
int a[maxn], b[maxn];
int n, ans;
int ind_a[maxn], ind_b[maxn];

int main(){
ios_base::sync_with_stdio(false);
cin.tie(NULL);
cout.tie(NULL);
cin>>n;
ans=n;
for(int i=0; i<n; i++){
    cin>>a[i];
    ind_a[a[i]]=i;
}

for(int i=0; i<n; i++){
    cin>>b[i];
    ind_b[b[i]]=i;
}
int i=0, i_b=0;;
while(i<n){
    int curr=0;
    int j=ind_b[a[i]]+1;
    i_b=i+1;
    while(j<n and i_b<n){
        while(a[i_b]==b[j]){
            curr++;
            i_b++;
            j++;
            //cerr<<i_b<<"-toto v a i "<<j<<"-toto v b sa zaedno"<<endl;
            if(j>=n or i_b>=n){
                break;
            }

        }
        ans-=curr;
        //cerr<<"ans-="<<curr<<endl;
        break;
    }
    i=i_b;
}

cout<<ans;
return 0;
}

